1.06.03

Empires in Arms is the computer version of Australian Design Group classic board game. Empires in Arms is a seven player game of grand strategy set during the Napoleonic period of 1805-1815. The unit scale is corps level with full diplomatic options

Moderator: MOD_EIA

Post Reply
User avatar
Marshall Ellis
Posts: 5630
Joined: Tue Oct 02, 2001 3:00 pm
Location: Dallas

1.06.03

Post by Marshall Ellis »

Hey guys:

I received a save game this morning from a tester that was a great save of the French I Corps disappearing problem in PBEM games. This was also corrupting other units as well and was propogating to the whole game as the PBEM files were being passed. I'm telling you this because I worked on this issue most of the day and got it fixed and would like to insert this into the 1.06 patch. I have created a new 1.06.03 image that is being uploaded but I wanted you all to know this becuase it may delay the general release of 1.06 BUT it will allow be to include "the 1st Corps fix" a lot sooner than 1.07! To summarize, I'm gonna delay 1.06 general release by a few days and insert one more BETA release! The 1st corps problem has been the toughest PBEM problem so far!

Thanks for all of the support guys!

Thank you

Marshall Ellis
Outflank Strategy War Games


Dancing Bear
Posts: 1003
Joined: Wed Feb 20, 2008 11:16 pm

RE: 1.06.03

Post by Dancing Bear »

How are we doing with the 1.06.03 release?
User avatar
Marshall Ellis
Posts: 5630
Joined: Tue Oct 02, 2001 3:00 pm
Location: Dallas

RE: 1.06.03

Post by Marshall Ellis »

We are testing the Matrix install!
Thank you

Marshall Ellis
Outflank Strategy War Games


User avatar
Marshall Ellis
Posts: 5630
Joined: Tue Oct 02, 2001 3:00 pm
Location: Dallas

RE: 1.06.03

Post by Marshall Ellis »

Hey guys:

We have tested the install image for 1.06.03 and it is a go!
It should be posted very soon to the public BETA!

BTW: I have coded a scenario recovery piece in this version that should make upgrading a little cleaner for your user-created scenarios!

Appreciate your patience!


Thank you

Marshall Ellis
Outflank Strategy War Games


bOrIuM
Posts: 182
Joined: Mon Feb 13, 2006 12:50 am

RE: 1.06.03

Post by bOrIuM »

Might help or not, but im playing in 1.05.05 with Windows 7 RC and it works just fine as in Vista, perhaps better.
larrywrose
Posts: 129
Joined: Sun May 01, 2005 5:19 am

RE: 1.06.03

Post by larrywrose »

Any idea when this will become an offical release? One of the issue's of being in multiple games with players who are in multiple games is we tend to wait for the official release. Right now a few of the 1.05.05 bugs are starting to cause serious problems and I am hoping 1.06.03 will resolve some of them.

Thanks
Larry W. Rose
User avatar
Marshall Ellis
Posts: 5630
Joined: Tue Oct 02, 2001 3:00 pm
Location: Dallas

RE: 1.06.03

Post by Marshall Ellis »

Larry:

We are VERY close. Matrix and I are trying to build and test the general image release today! I will want to run a few install test and play it a bit to confirm versioning but this should be a few days only. I anticipate handing the OK to Matrix this week! I'm not sure of their release scheduling but usually they are only a few days behind me!

Thank you

Marshall Ellis
Outflank Strategy War Games


Dancing Bear
Posts: 1003
Joined: Wed Feb 20, 2008 11:16 pm

RE: 1.06.03

Post by Dancing Bear »

That's excellent news. I'm sure there are more than a few of us out there who are waiting for 1.06 before starting a new game. Hopefully, 1.07 with is long list of fixes won't be far behind. Are there any changes in the most recent 1.06 from the BETA?
User avatar
Marshall Ellis
Posts: 5630
Joined: Tue Oct 02, 2001 3:00 pm
Location: Dallas

RE: 1.06.03

Post by Marshall Ellis »

Not really. 1.06.03 really fixed up the PBEM transger problems that were forcing the Fr 1st corps and other units to disappear! Also we fixes the repatriation issues where neutrals were repatriating after a battle that they were not a part of.

Thank you

Marshall Ellis
Outflank Strategy War Games


User avatar
gazfun
Posts: 735
Joined: Wed Jun 30, 2004 9:59 pm
Location: Australia

RE: 1.06.03

Post by gazfun »

I know there will be combatability issues with this new patch 1.06 coming in, is there something in place to indicated to a player if they have an old version, and is not compatible etc with the new version being run by the Host.
Or in other words something to indicate a differance to a Host that a player is running an old version
User avatar
Marshall Ellis
Posts: 5630
Joined: Tue Oct 02, 2001 3:00 pm
Location: Dallas

RE: 1.06.03

Post by Marshall Ellis »

Good point Gaz!

We do not have this check in this version. The only compatibility issues are that 1.06.03 people will definitely have an advantage simply with the better build BUT unit corruption issues we saw in 1.05 could still happen in a 1.05 client then propogate to the 1.06.03 client so I'm asking that all PBEM hosts make sure that all clients upgrade to the 1.06.03. I intend to put some type of message on the version a turn file came from in a later version to help regulate this a bit more.


Thank you

Marshall Ellis
Outflank Strategy War Games


User avatar
gazfun
Posts: 735
Joined: Wed Jun 30, 2004 9:59 pm
Location: Australia

RE: 1.06.03

Post by gazfun »

That would be a big help for hosts, and for uniformity
Post Reply

Return to “Empires in Arms the Napoleonic Wars of 1805 - 1815”